GCLOUD_SPANNER_INSTANCES_CREATE(1)

NAME

gcloud spanner instances create - create a Cloud Spanner instance

SYNOPSIS

gcloud spanner instances create INSTANCE --config=CONFIG --description=DESCRIPTION --nodes=NODES [--async] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Create a Cloud Spanner instance.

POSITIONAL ARGUMENTS

    INSTANCE
        Cloud Spanner instance ID.

REQUIRED FLAGS

    --config=CONFIG
        Instance config for the instance.

    --description=DESCRIPTION
        Description of the instance.

    --nodes=NODES
        Number of nodes for the instance.

OPTIONAL FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.